Subject: Re: OSPF Link State Advertisement

From: Ameya Pandit <[email-masked]>
Date: Wed, 18 Jun 2003 04:56:11 +0000

Thanks!!  ... the reason i am asking this is because an NMS (Network
Management Software) uses SNMP queries for getting routing specific
information. Hence, whenever the NMS receives a 'trap' message from the
router for a specific LSA (assume an event is configured when an LSA is
received) then i need to get the neighbor that had forwarded the LSA.

Using SNMP and OSPF-MIBs, we can query Object Identifiers (OID) for getting
the details of the LSA. However, I did not find a way of getting the
neighbor from where the LSA was forwarded. One of the workarounds I was
thinking for this was to issue a particular command (if any) to get the
neighbor and thereby the ifIndex. In some manner or the other I need to know
the neighbor that had forwarded the LSA.

Hope i was clear here.

Regards
Ameya

>From: Acee Lindem <[email-masked]>
>Reply-To: Mailing List <[email-masked]>
>To: [email-masked]
>Subject: Re: OSPF Link State Advertisement
>Date: Tue, 17 Jun 2003 11:09:23 -0400
>
>Ameya Pandit wrote:
>>Thanks for the clarification. I am trying to find out what you ended up
>>saying. :-). Assume that the network is not Ethernet LAN, but a more
>>general
>>case (point to point as an example where in we do not have a DR and a
>>BDR).
>>
>>Is there any user specific table (or any command i can issue) that gives
>>me
>>the the interface number on which LS-Ack was sent for a particular LSA?.
>>LSA
>>details are available. I need to know the interface on which LS-Ack was
>>sent. I searched through OSPF-MIBs for the same. However I could not find
>>any. Hence my query?
>
>Ameya,
>
>I'm not sure what you are trying to do but the interface(s) on which a
>particular LSA was/were ack'ed isn't saved as persistent state informtion.
>When a packet is sent on an interface, the determination of the ifIndex
>corresponding to that interface is a platform specific detail.
>
>Thanks,
>Acee
>
>
>
>
>>
>>Any ideas are really welcome.
>>
>>Rgds
>>Ameya
>>
>>
>>>From: Don Goodspeed <[email-masked]>
>>>Reply-To: Mailing List <[email-masked]>
>>>To: [email-masked]
>>>Subject: Re: OSPF Link State Advertisement
>>>Date: Mon, 16 Jun 2003 14:06:57 -0400
>>>
>>>Ameya,
>>>
>>>Remember that LSA are global, but a LS-Ack is acknowledging receipt
>>>from a specific neighbor (or a specific DR on a LAN segment), not
>>>for the LSA in general.  Therefore, the interface associated with
>>>that neighbor and/or DR should always be known.
>>>
>>>-don
>>>
>>>==========================================
>>>Hello,
>>>
>>>I have a query on link State Acknowledgements (LSAck). We know that
>>>when a
>>>router receives a link state advertisement (LSA) it sends a LSAck for the
>>>received LSA. I understand that it is possible to couple different
>>>acknowledgements together. However, my question is: how do we
>>>determine the
>>>'ifIndex' of the interface on which the router sends the LSAck for the
>>>currently received LSA.
>>>Is there any way we can find out the interface on which the LSAck was
>>>sent
>>>knowing the details in the
>>>received LSA (viz. Seq, Checksum et. al.). ?? . In other words, i need to
>>>know the
>>>interface on which the LSA was received.
>>>
>>>More specifically, I have a requirement where in my Network Management
>>>Software needs to know the ifIndex (and eventually the neighbor that sent
>>>(forwarded) the LSA) of the interface on which the LSAck was generated
>>>for
>>>the LSA. I have the details of the LSA. I checked the OSPF MIB however
>>>there
>>>was no way to get the ifIndex on which the LSA was received.
>>>
>>>Any guidance would be helpful.
>>>
>>>Regards
>>>-Ameya
>>>
>>>_______________________________________________
>>>Join Excite! - http://www.excite.com
>>>The most personalized portal on the Web!
>>
>>
>>_________________________________________________________________
>>Wedding blues? Need help? http://www.msn.co.in/Matrimony/
>>
>
>
>--
>Acee

_________________________________________________________________
Take this online tour. Win an HCL Beanstalk PC.
http://server1.msn.co.in/sp03/hclbeanstalktour/amazing_winxp.html

---

From: Acee Lindem <[email-masked]>
Date: Thu, 19 Jun 2003 09:08:34 -0400

Hi Ameya,

> received) then i need to get the neighbor that had forwarded the LSA.

The OSPF MIB doesn't have a trap defined for reception of an LSA. The
OSPF flooding process should be precede very quickly and, IMHO,
it doesn't really make sense to try and monitor it using SNMP.

--
Acee